$(document).ready(function() {
	$.formValidator.initConfig({formid:"form1"});
	$("#txtName").formValidator({onshow:"必填<br/>用户名由字母(不区分大小写)、数字、下划线组成，必须以字母开头，<br/>且长度必须在6-12个字符之间",onfocus:"必填<br/>用户名由字母(不区分大小写)、数字、下划线组成，必须以字母开头，<br/>且长度必须在6-12个字符之间",oncorrect:"该用户名可以注册"}).inputValidator({min:6,max:10,onerror:"此项为必填项<br/>用户名由字母(不区分大小写)、数字、下划线组成，必须以字母开头，<br/>且长度必须在6-12个字符之间"}).regexValidator({regexp:"username",datatype:"enum",onerror:"用户名格式不正确"})
	$("#txtPassword").formValidator({onshow:"必填<br/>密码长度在6-20个字符之间",onfocus:"必填<br/>密码长度在6-20个字符之间",oncorrect:"填写正确"}).inputValidator({min:6,max:20,empty:{leftempty:false,rightempty:false,emptyerror:"密码两边不能有空符号"},onerror:"此项为必填项<br/>密码长度在6-20个字符之间"});
	$("#txtPassword2").formValidator({onshow:"必填<br/>请重复上面输入的密码",onfocus:"必填<br/>请重复上面输入的密码",oncorrect:"填写正确"}).inputValidator({min:6,max:20,empty:{leftempty:false,rightempty:false,emptyerror:"此项为必填项<br/>重复密码两边不能有空符号"},onerror:"此项为必填项<br/>请重复上面输入的密码"}).compareValidator({desid:"txtPassword",operateor:"=",onerror:"此项为必填项<br/>2次密码输入不一致"});
	$("#txtEmail").formValidator({onshow:"必填<br/>邮箱长度在6-100个字符之间,邮箱用于接收本站的信息和找回密码",onfocus:"必填<br/>邮箱长度在6-100个字符之间,邮箱用于接收本站的信息和找回密码",oncorrect:"填写正确",defaultvalue:"@"}).inputValidator({min:6,max:100,onerror:"此项为必填项<br/>邮箱长度在6-100个字符之间"}).regexValidator({regexp:"^([\\w-.]+)@(([[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.)|(([\\w-]+.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(]?)$",onerror:"此项为必填项<br/>邮箱格式不正确"});
	$("#txtQuestion").formValidator({onshow:"必填<br/>密码保护的问题，密码保护功能可以保障您的会员名更安全，密码<br/>发生问题时，能帮您更安全快捷的取回",onfocus:"必填<br/>密码保护的问题，密码保护功能可以保障您的会员名更安全，密码<br/>发生问题时，能帮您更安全快捷的取回",oncorrect:"填写正确,请记住问题"}).inputValidator({min:6,max:100,onerror:"此项为必填项<br/>问题长度在6-100个字符之间"});
	$("#txtAnswer").formValidator({onshow:"必填<br/>密码保护的答案，密码保护功能可以保障您的会员名更安全，密码<br/>保护的答案必须记住，这是您找回密码重要依据",onfocus:"必填<br/>密码保护的答案，密码保护功能可以保障您的会员名更安全，密码<br/>保护的答案必须记住，这是您找回密码重要依据",oncorrect:"填写正确,请记住答案"}).inputValidator({min:3,max:100,onerror:"此项为必填项<br/>答案长度在6-100个字符之间"}).compareValidator({desid:"txtQuestion",operateor:"!=",onerror:"此项为必填项<br/>答案不能跟问题相同"});;
	$("#txtQQ").formValidator({onshow:"可选<br/>请输入QQ",onfocus:"可选<br/>请输入QQ号",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"QQ不能为空"});
	$("#txtICQ").formValidator({onshow:"可选<br/>请输入ICQ",onfocus:"可选<br/>请输入ICQ号",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"ICQ不能为空"});
	$("#txtMSN").formValidator({onshow:"可选<br/>请输入MSN",onfocus:"可选<br/>请输入MSN",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"MSN不能为空"});
	$("#txtNames").formValidator({onshow:"可选<br/>请输入姓名",onfocus:"可选<br/>请输入姓名",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"姓名不能为空"});
	$("#txtAddress").formValidator({onshow:"可选<br/>请输入详细地址",onfocus:"可选<br/>请输入详细地址",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"详细地址不能为空"});
	$("#txtPhone").formValidator({onshow:"可选<br/>请输入电话号码",onfocus:"可选<br/>请输入电话号码",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"电话号码不能为空"});
	$("#txtHandset").formValidator({onshow:"可选<br/>请输入手机号码",onfocus:"可选<br/>请输入手机号码",oncorrect:"填写正确"}).inputValidator({min:0,onerror:"手机号码不能为空"});
	
	//绑定地区
	function BindAreas(obj1,obj2)
    {
		var svalue = obj1.value; 
		var weburl = "ajax.aspx?NoCopyright=1&parent_id="+svalue + "&r=" + Math.random(); 
		$.get(weburl,function(data){
    		document.getElementById(obj2).length = 0; 
			document.getElementById(obj2).options.add(new Option("选择地区","0")); 
			if(data!="")
			{ 
				var allArray = data.split("<")[0].toString().split(","); 
				for(var i=1;i<allArray.length;i++) 
				{ 
					var thisArray = allArray[i].split("|"); 
					document.getElementById(obj2).options.add(new Option(thisArray[1].toString(),thisArray[0].toString())); 
				} 
			} 
		})
    
    }
    
    //给地区下拉框绑定事件
    $('#ddlTopAreas').change(function(){$('#ddlSubAreas option:gt(0)').remove();$('#ddlThirdAreas option:gt(0)').remove();if($(this).val()!='0'){BindAreas(this,'ddlSubAreas')};});
    $('#ddlSubAreas').change(function(){$('#ddlThirdAreas option:gt(0)').remove();if($('option[selected]',this).val() != '0')(BindAreas(this,'ddlThirdAreas'));});
});
